Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1339000 - [abrt] empathy: __pthread_mutex_lock(): empathy-call killed by SIGSEGV
Summary: [abrt] empathy: __pthread_mutex_lock(): empathy-call killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1332643
Alias: None
Product: Fedora
Classification: Fedora
Component: empathy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9d9e82d6d61aac50e17bdeb8062...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 22:06 UTC by lennart_reuther
Modified: 2016-07-21 16:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-21 16:45:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (81.30 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: cgroup (259 bytes, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: core_backtrace (16.92 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: dso_list (19.25 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: environ (749 bytes, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: exploitable (82 bytes, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: maps (93.52 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: mountinfo (3.73 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: open_fds (2.31 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details
File: var_log_messages (333 bytes, text/plain)
2016-05-23 22:06 UTC, lennart_reuther
no flags Details

Description lennart_reuther 2016-05-23 22:06:11 UTC
Description of problem:
Calling a phone number from within gnome-contacts using a SIP provider

Version-Release number of selected component:
empathy-3.12.12-1.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-call
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/empathy-call
global_pid:     30639
kernel:         4.5.4-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:67
 #1 XrmQGetResource at Xrm.c:2549
 #2 XGetDefault at GetDflt.c:231
 #3 get_boolean_default at cairo-xlib-screen.c:98
 #4 _cairo_xlib_init_screen_font_options at cairo-xlib-screen.c:146
 #5 _cairo_xlib_screen_get_font_options at cairo-xlib-screen.c:455
 #6 _cairo_xlib_surface_get_font_options at cairo-xlib-surface.c:1533
 #7 INT_cairo_surface_get_font_options at cairo-surface.c:1533
 #8 _cairo_gstate_ensure_scaled_font at cairo-gstate.c:1854
 #9 _cairo_gstate_show_text_glyphs at cairo-gstate.c:1950

Potential duplicate: bug 1332643

Comment 1 lennart_reuther 2016-05-23 22:06:17 UTC
Created attachment 1160813 [details]
File: backtrace

Comment 2 lennart_reuther 2016-05-23 22:06:19 UTC
Created attachment 1160814 [details]
File: cgroup

Comment 3 lennart_reuther 2016-05-23 22:06:21 UTC
Created attachment 1160815 [details]
File: core_backtrace

Comment 4 lennart_reuther 2016-05-23 22:06:23 UTC
Created attachment 1160816 [details]
File: dso_list

Comment 5 lennart_reuther 2016-05-23 22:06:24 UTC
Created attachment 1160817 [details]
File: environ

Comment 6 lennart_reuther 2016-05-23 22:06:26 UTC
Created attachment 1160818 [details]
File: exploitable

Comment 7 lennart_reuther 2016-05-23 22:06:28 UTC
Created attachment 1160819 [details]
File: limits

Comment 8 lennart_reuther 2016-05-23 22:06:32 UTC
Created attachment 1160820 [details]
File: maps

Comment 9 lennart_reuther 2016-05-23 22:06:34 UTC
Created attachment 1160821 [details]
File: mountinfo

Comment 10 lennart_reuther 2016-05-23 22:06:36 UTC
Created attachment 1160822 [details]
File: namespaces

Comment 11 lennart_reuther 2016-05-23 22:06:37 UTC
Created attachment 1160823 [details]
File: open_fds

Comment 12 lennart_reuther 2016-05-23 22:06:39 UTC
Created attachment 1160824 [details]
File: proc_pid_status

Comment 13 lennart_reuther 2016-05-23 22:06:41 UTC
Created attachment 1160825 [details]
File: var_log_messages

Comment 14 Erik Schilling 2016-06-26 08:43:30 UTC
Similar problem has been detected:

Tried to start sip call with empathy. I tried to make an sip call over my fritz.box sip server and it crashed

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-call
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/empathy-call
global_pid:     20709
kernel:         4.5.7-300.fc24.x86_64+debug
package:        empathy-3.12.12-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         empathy-call killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Michael Catanzaro 2016-07-21 16:11:39 UTC
Similar problem has been detected:

Run empathy-call in X11, it crashes 100%

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/libexec/empathy-call
crash_function: __pthread_mutex_lock
executable:     /usr/libexec/empathy-call
global_pid:     8352
kernel:         4.6.3-300.fc24.x86_64
package:        empathy-3.12.12-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         empathy-call killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Michael Catanzaro 2016-07-21 16:45:23 UTC

*** This bug has been marked as a duplicate of bug 1332643 ***


Note You need to log in before you can comment on or make changes to this bug.